Skip to navigation

Download gross to net report

Downloads the gross-to-net report for a payroll event as a CSV file, using an event id taken from the list returned by GET /gp/legal-entities/{legal_entity_id}/reports. Use it when you need a file export, use GET /gp/reports/{id}/gross_to_net for the rows as JSON, or use GET /reports/payroll/cycles/{cycle_id}/gross-to-net when you start from a payroll cycle.

Token scopes: global-payroll:read

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.deel.training/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

idstringRequired
Id of the gp payroll report.

Query parameters

currencystringOptional
Currency to be used in the report calculation.

Response

Successful operation.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
504
Gateway Timeout Error